part of navigine_sdk;

class Beacon {
  int id = 0;
  int location = 0;
  int subLocation = 0;
  int major = 0;
  int minor = 0;
  String uuid = "";
  String name = "";
  int power = 0;
  num x = 0.0;
  num y = 0.0;
  int? battery;
  int? isUsed;
  static Beacon fromMap(var data) {
    return Beacon()
      ..id = data["id"]
      ..location = data["location"]
      ..subLocation = data["subLocation"]
      ..major = data["major"]
      ..minor = data["minor"]
      ..uuid = data["uuid"]
      ..name = data["name"]
      ..power = data["power"] ?? 0
      ..x = data["x"]
      ..y = data["y"]
      ..battery = data["battery"]
      ..isUsed = data["isUsed"];
  }

  toMap() {
    return {
      "id": id,
      "location": location,
      "subLocation": subLocation,
      "major": major,
      "minor": minor,
      "uuid": uuid,
      "name": name,
      "power": power,
      "x": x,
      "y": y,
      "battery": battery,
      "isUsed": isUsed,
    };
  }
}
