part of navigine_sdk;

class RouteEvent {
  RouteType type = RouteType.UNKNOWN;
  int? value;
  num distance = 0.0;

  static fromMap(data) {
    RouteEvent re = RouteEvent();
    re.type = RouteType.values[data["type"] ?? 0];
    re.value = data["value"];
    re.distance = data["distance"];

    return re;
  }

  bool isValid() {
    return this.type.index > 0;
  }
}

enum RouteType {
  UNKNOWN,
  LEFT,
  RIGHT,
  TRANSITION,
}
