# navigine_sdk

A flutter package to implement navigine indoor navigation

## Getting Started

### Android

Add the following lines on manifest file to enable indoor navigation on android version >=26

```
<application>
  ...
    <service android:name="com.navigine.naviginesdk.NavigineJobService"
        android:permission="android.permission.BIND_JOB_SERVICE"
        android:exported="false"
        android:enabled="true"/>

    <receiver android:name="com.navigine.naviginesdk.BLEBroadcastReceiver"
        android:enabled="true"
        android:exported="true"
        android:permission="android.permission.RECEIVE_BOOT_COMPLETED">
        <intent-filter>
            <action android:name="android.intent.action.BOOT_COMPLETED"/>
        </intent-filter>
    </receiver>
</application>
```


Add the follwing lines on manifest file to enable push notification

```
<application>
  ...
    <service android:name="com.navigine.naviginesdk.NavigineService"
            android:exported="false"/>
    <receiver android:name="com.navigine.naviginesdk.NavigineReceiver"
            android:exported="false">
        <intent-filter>
            <action android:name="com.navigine.naviginesdk.NavigineService.SERVICE_START"/>
            <action android:name="com.navigine.naviginesdk.NavigineService.SERVICE_STOP"/>
            <action android:name="com.navigine.naviginesdk.NavigineService.SERVICE_WAKE"/>
        </intent-filter>
    </receiver>

    <receiver android:name="com.navigine.naviginesdk.BootReceiver"
            android:exported="true">
        <intent-filter>
        <action android:name="android.intent.action.BOOT_COMPLETED"/>
        <action android:name="android.intent.action.PACKAGE_REPLACED"/>
        </intent-filter>
    </receiver>
</application>
```