part of navigine_sdk;

class NavigineNotification {
  final int id;
  final String title;
  final String? content;
  final String? imageUrl;
  final String? imagePath;

  NavigineNotification({
    required this.id,
    required this.title,
    this.content,
    this.imageUrl,
    this.imagePath,
  });

  static NavigineNotification fromMap(Map data) {
    return NavigineNotification(
      id: data["id"],
      title: data["title"],
      content: data["content"],
      imageUrl: data["imageUrl"],
      imagePath: data["imagePath"],
    );
  }
}
