part of navigine_sdk;

class PointF {
  num x;
  num y;

  PointF.fromValue(this.x, this.y);

  void set(num x, num y) {
    this.x = x;
    this.y = y;
  }

  void negate() {
    x = -x;
    y = -y;
  }

  void offset(num dx, num dy) {
    x += dx;
    y += dy;
  }

  static num length(num x, num y) {
    return sqrt(x * x + y * y);
  }
}
