part of navigine_sdk;

class RoutePath {
  num length = 0.0;
  List<RouteEvent> events = <RouteEvent>[];
  List<LocationPoint> points = <LocationPoint>[];
  static fromMap(data) {
    RoutePath rp = RoutePath();

    rp.length = data["length"];

    for (var event in data["events"]) {
      rp.events.add(RouteEvent.fromMap(event));
    }

    for (var point in data["points"]) {
      rp.points.add(LocationPoint.fromMap(point));
    }

    return rp;
  }

  bool isValid() {
    return this.points.length > 1;
  }
}
